diff -ur ircd-hybrid-6/src/s_serv.c ircd-hybrid-6-statsv/src/s_serv.c
--- ircd-hybrid-6/src/s_serv.c	Fri Apr 12 17:15:58 2002
+++ ircd-hybrid-6-statsv/src/s_serv.c	Fri Apr 12 17:19:55 2002
@@ -938,11 +938,25 @@
 
   for(cptr2 = serv_cptr_list; cptr2; cptr2 = cptr2->next_server_client)
     {
-      ++j;
-      sendto_one(cptr, ":%s %d %s :%s (%s!%s@%s) Idle: %d",
+      time_t duration, days, hours, minutes, seconds;
+
+      seconds = CurrentTime;
+      seconds -= cptr2->firsttime;
+
+      days = seconds / 86400;
+      seconds %= 86400;
+      hours = seconds / 3600;
+      seconds %= 3600;
+      minutes = seconds / 60;
+      seconds %= 60;
+      sendto_one(cptr, ":%s %d %s :%s (%s!%s@%s) Idle: %d Connected: %ldday%s %ldhour%s %ldmin%s %ldsec%s",
                  me.name, RPL_STATSDEBUG, cptr->name, cptr2->name,
                  (cptr2->serv->by[0] ? cptr2->serv->by : "Remote."), 
-                 "*", "*", CurrentTime - cptr2->lasttime);
+                 "*", "*", CurrentTime - cptr2->lasttime,
+		 days, (days == 1) ? "" : "s", hours, (hours == 1) ? "" : "s",
+		 minutes, (minutes == 1) ? "" : "s", seconds, (seconds == 1) ? "" : "s");
+
+      j++;
 
       /*
        * NOTE: moving the username and host to the client struct
